MxServerControlPlugin (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.product.jmx.MxServerControlPlugin class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.product.jmx
Class MxServerControlPlugin

    java.lang.Object
      org.hyperic.hq.product.GenericPlugin
          org.hyperic.hq.product.ControlPlugin
              org.hyperic.hq.product.ServerControlPlugin
                  org.hyperic.hq.product.jmx.MxServerControlPlugin

    public class MxServerControlPlugin

extends ServerControlPlugin

Field Summary

Fields inherited from class org.hyperic.hq.product.ServerControlPlugin
`PROP_PIDFILE, PROP_PROGRAM, PROP_PROGRAMPREFIX`

Fields inherited from class org.hyperic.hq.product.ControlPlugin
`DEFAULT_TIMEOUT, manager, PROP_TIMEOUT, RESULT_FAILURE, RESULT_SUCCESS, STATE_RESTARTING, STATE_STARTED, STATE_STARTING, STATE_STOPPED, STATE_STOPPING, STATE_UNKNOWN`

Fields inherited from class org.hyperic.hq.product.GenericPlugin
`config, FILE_DELIM, FILE_DELIM_ESC, PROP_NAME`

Constructor Summary
`MxServerControlPlugin()`

Method Summary
`void` | `configure(ConfigResponse config)`
`void` | `doAction(java.lang.String action, java.lang.String[] args)` Invokes plugin method with the name of param action.
`java.util.List` | `getActions()`
`protected java.lang.String[]` | `getArgs(java.lang.String action)`
`protected java.lang.String` | `getObjectName()`
`void` | `init(PluginManager manager)` Called when the plugin is loaded on the server and on the agent side.
`protected int` | `invokeMethod(java.lang.String operation)`
`protected int` | `invokeMethod(java.lang.String objectName, java.lang.String operation)`
`protected int` | `invokeMethod(java.lang.String operation, java.lang.String[] args)`
`protected int` | `invokeMethod(java.lang.String objectName, java.lang.String operation, java.lang.String[] args)`
`protected boolean` | `isBackgroundCommand()`
`int` | `restart()`
`int` | `start()`
`int` | `stop()`

Methods inherited from class org.hyperic.hq.product.ServerControlPlugin
`doCommand, doCommand, doCommand, doCommand, doCommand, getBackgroundWaitTime, getCommandArgs, getCommandEnv, getConfigSchema, getControlProgram, getControlProgramDir, getControlProgramPrefix, getExitCode, getInstallPrefix, getPidFile, getServerConfigSchema, getWorkingDirectory, handleResult, isProcessRunning, isProcessRunning, isRunning, setBackgroundWaitTime, setControlProgram, setControlProgramPrefix, setInstallPrefix, setPidFile, shutdown, start, useConfigSchema, useSigar, validateControlProgram`

Methods inherited from class org.hyperic.hq.product.ControlPlugin
`detectState, doAction, getManager, getMessage, getResult, getTimeout, getTimeoutMillis, setManager, setMessage, setResult, setTimeout, setTimeout, waitForState`

Methods inherited from class org.hyperic.hq.product.GenericPlugin
`adjustClassPath, getAbsoluteFiles, getConfig, getConfig, getCustomPropertiesSchema, getCustomPropertiesSchema, getCustomPropertiesSchema, getDefaultInstallPath, getLog, getLogName, getManagerProperty, getName, getPlatformName, getPluginClassName, getPluginData, getPluginProperty, getProductPlugin, getProperties, getScriptExtension, getScriptExtension, getScriptExtension, getTypeInfo, getTypeNameProperty, getTypeNameProperty, getTypeProperties, getTypeProperty, getTypeProperty, getTypeProperty, isNetStatEnabled, isWin32, openResource, setData, setName, setTypeInfo, toFileList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MxServerControlPlugin

    public MxServerControlPlugin()

Method Detail

### init

    public void init(PluginManager manager)
              throws PluginException

  Description copied from class: `GenericPlugin`
  Called when the plugin is loaded on the server and on the agent side.

  Overrides:
    `init` in class `ControlPlugin`
  Parameters:
    `manager` - The plugin manager for this plugin type.
  Throws:
    `PluginException`

### configure

    public void configure(ConfigResponse config)
                   throws PluginException

  Overrides:
    `configure` in class `ServerControlPlugin`
  Throws:
    `PluginException`

### getActions

    public java.util.List getActions()

  Overrides:
    `getActions` in class `ControlPlugin`

### isBackgroundCommand

    protected boolean isBackgroundCommand()

  Overrides:
    `isBackgroundCommand` in class `ServerControlPlugin`

### getArgs

    protected java.lang.String[] getArgs(java.lang.String action)

### getObjectName

    protected java.lang.String getObjectName()

### invokeMethod

    protected int invokeMethod(java.lang.String objectName,
                               java.lang.String operation,
                               java.lang.String[] args)

### invokeMethod

    protected int invokeMethod(java.lang.String objectName,
                               java.lang.String operation)

### invokeMethod

    protected int invokeMethod(java.lang.String operation)

### invokeMethod

    protected int invokeMethod(java.lang.String operation,
                               java.lang.String[] args)

### doAction

    public void doAction(java.lang.String action,
                         java.lang.String[] args)
                  throws PluginException

  Description copied from class: `ControlPlugin`
  Invokes plugin method with the name of param action.

  Overrides:
    `doAction` in class `ControlPlugin`
  Throws:
    `PluginException`

### start

    public int start()

### stop

    public int stop()

### restart

    public int restart()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.